Pygeoprocessing.geoprocessing ERROR exception encountered in raster_calculator

11/29/2023 11:07:09 pygeoprocessing.geoprocessing ERROR exception encountered in raster_calculator
Traceback (most recent call last):
File “pygeoprocessing\geoprocessing.py”, line 517, in raster_calculator
File “pygeoprocessing\geoprocessing.py”, line 2179, in _map_dataset_to_value_op
pygeoprocessing.geoprocessing.ReclassificationMissingValuesError: The following 1 raster values [16] from “G:\InvestResult\01WaterYield\2010\intermediate\clipped_lulc_AWY2010.tif” do not have corresponding entries in the value map: {1: 1.0, 2: 0.5, 3: 0.65, 4: 0.5, 5: 0.65, 6: 0.3, 7: 0.001, 8: 0.2, 9: 1.0}.
11/29/2023 11:07:09 pygeoprocessing.geoprocessing INFO Waiting for raster stats worker result.
11/29/2023 11:07:09 pygeoprocessing.geoprocessing_core WARNING No valid pixels were received, sending None.
11/29/2023 11:07:09 taskgraph.Task ERROR Something went wrong when adding task create_Kc_raster (1), terminating taskgraph.
Traceback (most recent call last):
File “natcap\invest\utils.py”, line 1047, in reclassify_raster
File “pygeoprocessing\geoprocessing.py”, line 2186, in reclassify_raster
File “pygeoprocessing\geoprocessing.py”, line 517, in raster_calculator
File “pygeoprocessing\geoprocessing.py”, line 2179, in _map_dataset_to_value_op
pygeoprocessing.geoprocessing.ReclassificationMissingValuesError: The following 1 raster values [16] from “G:\InvestResult\01WaterYield\2010\intermediate\clipped_lulc_AWY2010.tif” do not have corresponding entries in the value map: {1: 1.0, 2: 0.5, 3: 0.65, 4: 0.5, 5: 0.65, 6: 0.3, 7: 0.001, 8: 0.2, 9: 1.0}.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “taskgraph\Task.py”, line 674, in add_task
File “taskgraph\Task.py”, line 1093, in _call
File “natcap\invest\utils.py”, line 1057, in reclassify_raster
ValueError: Values in the LULC raster were found that are not represented under the ‘lucode’ column of the Biophysical table. The missing values found in the LULC raster but not the table are: [16].
11/29/2023 11:07:09 natcap.invest.utils ERROR Exception while executing natcap.invest.annual_water_yield
Traceback (most recent call last):
File “natcap\invest\utils.py”, line 1047, in reclassify_raster
File “pygeoprocessing\geoprocessing.py”, line 2186, in reclassify_raster
File “pygeoprocessing\geoprocessing.py”, line 517, in raster_calculator
File “pygeoprocessing\geoprocessing.py”, line 2179, in _map_dataset_to_value_op
pygeoprocessing.geoprocessing.ReclassificationMissingValuesError: The following 1 raster values [16] from “G:\InvestResult\01WaterYield\2010\intermediate\clipped_lulc_AWY2010.tif” do not have corresponding entries in the value map: {1: 1.0, 2: 0.5, 3: 0.65, 4: 0.5, 5: 0.65, 6: 0.3, 7: 0.001, 8: 0.2, 9: 1.0}.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “natcap\invest\utils.py”, line 164, in prepare_workspace
File “invest\cli.py”, line 469, in main
File “natcap\invest\annual_water_yield.py”, line 693, in execute
File “taskgraph\Task.py”, line 674, in add_task
File “taskgraph\Task.py”, line 1093, in _call
File “natcap\invest\utils.py”, line 1057, in reclassify_raster
ValueError: Values in the LULC raster were found that are not represented under the ‘lucode’ column of the Biophysical table. The missing values found in the LULC raster but not the table are: [16].
11/29/2023 11:07:09 natcap.invest.utils INFO Elapsed time: 0.6s
11/29/2023 11:07:09 natcap.invest.utils INFO Execution finished
InVEST-natcap.invest.annual_water_yield-log-2023-11-29–10_58_17.txt (15.6 KB)

Please read the other threads addressing this same error message: Search results for 'do not have corresponding entries in the value map' - Natural Capital Project Online Community

Let us know if you still have questions.